com.informix.csm

## Class IfxCsmDescriptor

- java.lang.Object
- - com.informix.csm.IfxCsmDescriptor

    public class IfxCsmDescriptor
    extends java.lang.Object

### Field Summary

Fields
`static int` `CSS_CSM_LOADED`
`static int` `CSS_CSM_LOADING_ERR`
`static int` `CSS_CSM_NOT_LOADED`

### Constructor Summary

Constructors
Constructor and Description
`IfxCsmDescriptor(java.lang.String csmInfo, java.io.InputStream in, java.io.OutputStream out, java.lang.String locale)` This constuctor takes in csmInfor string which is of form separated by commas "class=com.informix.csm.crypto.IfxEncCsm,....." and separates the class name from it from rest of string rest of string is stored in init_string

### Method Summary

Methods
`java.lang.String` `getClassName()`
`java.lang.String` `getInitString()`
`boolean` `getSsoEnc()`
`java.lang.String` `getSsoString()`
`void` `setLoadState(int state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CSS_CSM_NOT_LOADED

    public static final int CSS_CSM_NOT_LOADED

See Also:
  Constant Field Values

#### CSS_CSM_LOADED

    public static final int CSS_CSM_LOADED

See Also:
  Constant Field Values

#### CSS_CSM_LOADING_ERR

    public static final int CSS_CSM_LOADING_ERR

See Also:
  Constant Field Values

### Constructor Detail

#### IfxCsmDescriptor

    public IfxCsmDescriptor(java.lang.String csmInfo,
                    java.io.InputStream in,
                    java.io.OutputStream out,
                    java.lang.String locale)
                     throws IfxCSSException

This constuctor takes in csmInfor string which is of form separated by commas "class=com.informix.csm.crypto.IfxEncCsm,....." and separates the class name from it from rest of string rest of string is stored in init_string

Parameters:
  `csmInfo` -
Throws:
  `IfxCSSException`

### Method Detail

#### setLoadState

    public void setLoadState(int state)

#### getClassName

    public java.lang.String getClassName()

#### getInitString

    public java.lang.String getInitString()

#### getSsoString

    public java.lang.String getSsoString()

#### getSsoEnc

    public boolean getSsoEnc()